"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AelfIcon = void 0;
var React = _interopRequireWildcard(require("react"));
var _icons = _interopRequireDefault(require("@ant-design/icons"));
var _antd = require("antd");
var _classnames = _interopRequireDefault(require("classnames"));
var _hooks = require("../hooks");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const AelfIcon = exports.AelfIcon = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    getPrefixCls
  } = React.useContext(_antd.ConfigProvider.ConfigContext);
  const prefixCls = getPrefixCls('aelf-icon');
  const {
    defaultWidth,
    defaultHeight,
    component,
    componentName,
    color,
    hoverColor,
    activeColor,
    twoToneColor,
    hoverTwoToneColor,
    activeTwoToneColor,
    ...restProps
  } = props;
  const {
    width = defaultWidth,
    height = defaultHeight,
    style,
    ...restedProps
  } = restProps;
  const iconColor = {
    width,
    height,
    color,
    hoverColor,
    activeColor,
    twoToneColor,
    hoverTwoToneColor,
    activeTwoToneColor
  };
  const {
    styles
  } = (0, _hooks.useStyles)(iconColor);
  const cls = (0, _classnames.default)(prefixCls, props.className, styles.iconWrap);
  return /*#__PURE__*/React.createElement(_icons.default, _extends({}, restedProps, {
    ref: ref,
    component: component,
    style: {
      ...style
    },
    className: cls
  }));
});
AelfIcon.displayName = 'AelfIcon';